Package: org.codehaus.groovy.runtime.dgmimpl.arrays

## [Java] Class CharacterArrayGetAtMetaMethod

- org.codehaus.groovy.runtime.dgmimpl.arrays.CharacterArrayGetAtMetaMethod

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArrayMetaMethod` | `INTEGER_CLASS, INTEGER_CLASS_ARR`
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
    `` | `CachedClass` | `getDeclaringClass()`
    `` | `Class` | `getReturnType()`
    `` | `Object` | `invoke(Object object, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayGetAtMetaMethod` | `getName`
    `class ArrayMetaMethod` | `getModifiers, normaliseIndex`
    `class CallSiteAwareMetaMethod` | `createPojoCallSite`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

    - #### public final CachedClass getDeclaringClass()

    - #### public Class getReturnType()

    - #### public Object invoke(Object object, Object[] args)